'Newland.CityTheme:IconTeaser':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.CityTheme:SpacingMixin': false
    'Newland.NeosNodeTypes:LinkMixin': true

  ui:
    label: Icon-Teaser
    icon: image
    inspector:
      groups:
        image:
          label: Icon
          icon: image
        color:
          label: Akzentfarbe wählen
          icon: palette
  label: ${q(node).property('title') || 'Icon-Teaser'}
  properties:
    icon:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Icon
        reloadIfChanged: true
        inspector:
          group: image

    title:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Icon-Teaser'

    text:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Icon-Teaser Text'

    linkTitle:
      ui:
        help:
          message: 'Barrierefreiheit – Falls kein Text gepflegt wird, sollte hier eine kurze Beschreibung des Linkziels stehen.'

    color:
      type: string
      defaultValue: 'c-icon-teaser--primary'
      ui:
        label: Farbe
        reloadIfChanged: true
        inspector:
          group: color
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Primary (Standard)
                value: 'c-icon-teaser--primary'
              secondary:
                label: Secondary
                value: 'c-icon-teaser--secondary'
              accent:
                label: Accent
                value: 'c-icon-teaser--accent'
              cta:
                label: CTA
                value: 'c-icon-teaser--cta'
              ambient:
                label: Ambient
                value: 'c-icon-teaser--ambient'

